package cn.com.countrygarden.bi.main.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaireProblemOption;
import cn.com.countrygarden.bi.main.util.DateTimeDeserializer;


/**
 *返回问卷编辑所需数据的自定义类
 * @author 木木子
 *
 */
public class ReviewQuestionnaireProblemEditVo implements Serializable{
	/**
	 * 问卷ID
	 */
	private Integer questionnaireId;
	
	/**
	 * 问卷名称
	 */
	private String questionnaireName;
	
	private Integer investigationmanagementId;
	public Integer getInvestigationmanagementId() {
		return investigationmanagementId;
	}


	public void setInvestigationmanagementId(Integer investigationmanagementId) {
		this.investigationmanagementId = investigationmanagementId;
	}


	/**
	 * 问卷说明
	 */
	private String questionnaireDescribed;
	/**
     * 创建人
     */
 	@Column(name="create_by")
    private String createBy;
	
	  /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime; 
	
	public String getCreateBy() {
		return createBy;
	}


	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}


	public Date getCreateTime() {
		return createTime;
	}


	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	
	/**
	 * 根据当前问卷id查询出所有能被删除的问题分类id
	 */
	public List<Integer> classificationEditIds=null;

	/**
	 * 题型分类集合
	 */
	private List<ReviewQuestionnaireProblemTypeVo> qtypeAry=new ArrayList<ReviewQuestionnaireProblemTypeVo>();


	public List<Integer> getClassificationEditIds() {
		return classificationEditIds;
	}


	public void setClassificationEditIds(List<Integer> classificationEditIds) {
		this.classificationEditIds = classificationEditIds;
	}


	/**
	 * 问题集合
	 */
	private List<ReviewQuestionnaireProblemVo> questionAry=new ArrayList<ReviewQuestionnaireProblemVo>();;
	
	/**
	 * 问题分类集合
	 */
	private List<ReviewQuestionnaireProblemClassificationVo> qclassAry=new ArrayList<ReviewQuestionnaireProblemClassificationVo>();
	
	


	public List<ReviewQuestionnaireProblemClassificationVo> getQclassAry() {
		return qclassAry;
	}


	public void setQclassAry(List<ReviewQuestionnaireProblemClassificationVo> qclassAry) {
		this.qclassAry = qclassAry;
	}


	public List<ReviewQuestionnaireProblemVo> getQuestionAry() {
		return questionAry;
	}


	public void setQuestionAry(List<ReviewQuestionnaireProblemVo> questionAry) {
		this.questionAry = questionAry;
	}


	public Integer getQuestionnaireId() {
		return questionnaireId;
	}


	public void setQuestionnaireId(Integer questionnaireId) {
		this.questionnaireId = questionnaireId;
	}


	public String getQuestionnaireName() {
		return questionnaireName;
	}


	public void setQuestionnaireName(String questionnaireName) {
		this.questionnaireName = questionnaireName;
	}


	public String getQuestionnaireDescribed() {
		return questionnaireDescribed;
	}


	public void setQuestionnaireDescribed(String questionnaireDescribed) {
		this.questionnaireDescribed = questionnaireDescribed;
	}


	public List<ReviewQuestionnaireProblemTypeVo> getQtypeAry() {
		return qtypeAry;
	}


	public void setQtypeAry(List<ReviewQuestionnaireProblemTypeVo> qtypeAry) {
		this.qtypeAry = qtypeAry;
	}


	
 
	
}
